#customSelectors.streamray a:link, #customSelectors.streamray input, #customSelectors.streamray select {
    text-decoration: none;
    padding: 5px;
    text-align: center;
    display: inline-block;
    margin: 0 4px 4px 0;
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    float:left;
}   

#customSelectors.streamray input, #customSelectors.streamray select {
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    height: 1.75em;
}   

#customSelectors.streamray #filters p.genders {
    width: 100%;
    background-color: <?= $customBgColor ?> !important;
    border-bottom: none;
    display:block;
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom:0px;
}

#customSelectors.streamray #filters p.genders span {
    padding:0;
    width:96%;
}

#customSelectors.streamray #filters p.genders span a:link{
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    color: <?= $customGendersTextColor ?> !important;
}

#customSelectors.streamray #filters p.genders span a:link.active {
    background-color: <?= $customBgColor ?> !important;
    border-bottom:solid 2px <?= $customHiliteBgColor ?>;
    font-weight: normal;
}

#customSelectors.streamray #filters p {
    overflow:auto;
    margin-left:0px;
    margin-right:0px;
    padding-bottom:8px;
    padding-top:4px;
    border-bottom: 1px solid <?= $customBgColor ?>;
}

#customSelectors.streamray #filters p span {
    padding-bottom: 10px;
    clear:both;
    display:block;
}

#customSelectors.streamray {
    overflow: auto;
    width:100%;
}

#customSelectors.streamray form {
    padding-left:8px;
}

#customSelectors.streamray #filters {
    clear:none;
}

#customSelectors.streamray a:link.active {
    color: <?= $customHiliteTextColor ?> !important;
}   

#sidebar .widget {
   padding: 0 0 0 4px;
}

.sidebar-mobile span {
    width:80%;
}

#customSelectors.streamray #filters {
    display:block !important;
}





/* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling */
/* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling */

body{
  background-color: #F2F2F2 !important;
}


.primary-header {
    background-color: #30C4FB !important;
}
.display-h1 {
    font-size: 16px; /* Large text size */
    font-weight: bold; /* Bold style */
    text-align: center; /* Center the text */
    
    text-transform: uppercase; /* Make all text uppercase */
    letter-spacing: 2px; /* Add space between letters */
    line-height: 1.5; /* Space between lines */
    margin-top: 20px; /* Add top margin */
    margin-bottom: 20px; /* Add bottom margin */
    padding: 10px; /* Add padding around text */
   
    border-radius: 10px; /* Rounded corners */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Soft shadow effect */
    font-family: 'Arial', sans-serif; /* Font family */
}


.content{
  background-color: #F2F2F2 !important;
}

.page-content, .top-placement  {
    background-color: #F2F2F2 !important;
}



.model-content, .model-box, .model-tab, #chatembed {
    background-color: #F2F2F2 !important;
}


.tab-nav li.active a:link, .tab-nav li.active a:visited {
    background-color: #888888 !important;
    color: black !important;
} 
 


#tab-bio .model-details .detail-item {
    background-color: #4b4b4b;
 
}

.detail-item, .detail-item a:link, .detail-item a:visited {
  background-color: #888888 !important;
}

/* Sidebar Styling */

.app-sidebar-full-content-scroll-container {
    display: flex;
    flex-flow: column nowrap;
    height: 100%;
    max-height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-color: rgba(248, 248, 248, 0.1) transparent;
    scrollbar-gutter: auto;
    scrollbar-width: thin;
    scrollbar-width: 4px;
    scrollbar-face-color: rgba(248, 248, 248, 0.1);
    scrollbar-track-color: transparent;
}

@media screen and (min-width: 1024px) {
    .app-sidebar-full-content-categories .tag-group-main .model-filter-main-link {
        height: 32px;
    }
}
.app-sidebar-full-content-categories .tag-group-main .model-filter-main-link {
    font-size: 13px;
    font-weight: 500;
    letter-spacing: normal;
    line-height: normal;
    height: 36px;
    padding: 0 10px;
    transition: none;
}
.model-filter-groups .model-filter-main-link {
    align-items: center;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    left: -10px;
    position: relative;
    text-decoration: none;
    width: 100%;
    display: flex
;
    flex-direction: row;
    transition: 120ms ease-in-out;
}


.app-sidebar-full-content-categories .tag-group-main {
    padding-bottom: 30px;
}

.app-sidebar-full-content-categories .tag-group {
    padding-bottom: 24px;
}
.model-filter-groups>.tag-group {
    box-sizing: border-box;
    padding-bottom: 20px;
    width: 100%;
    font-size: .875rem;
}





.sidebar {
  background-color: #141415;
  align-self: flex-start;
        display: flex;
        flex-direction: column;
        height:auto;
        overflow: hidden;
        position: sticky;
        top: 54px;
        max-width: 216px;
        bottom: 54px;
}

.sidebar h3 {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 15px;
  color: #ffcc00;
  text-transform: uppercase;
  border-bottom: 3px solid #ffcc00;
  padding-bottom: 8px;
}

/* Menu List */
.sidebar ul.no-bullet {
  list-style: none;
  padding: 0;
  margin: 0;
}

.sidebar ul.no-bullet li {
    background: #2a2a3a;
    padding: 10px 15px;
    margin-bottom: 5px;
    margin-top: 10px;
    font-size: 16px;
    font-weight: 900;
    border: 1px solid gray;
    border-radius: 6px;
    transition: all 0.3s ease-in-out;
}

.widget-tabs .tab-block a {
    padding: 0px 0;
}

#sidebar, #sidebar a {
    background-color: #21244d !important;
    font-size: 17px;
}

.sidebar ul.no-bullet li a {
  color: #fff;
  text-decoration: none;
  display: block;
  transition: color 0.3s ease-in-out;
}

.sidebar ul.no-bullet li:hover {
  background: #ffcc00;
  color: #1e1e2f;

}

.sidebar ul.no-bullet li:hover a {
  color: #1e1e2f;
}

/* Banners - No Borders, Clean Look */
.sidebar .widget-banner {
  margin-bottom: 20px;
  text-align: center;
}

.sidebar .widget-banner img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  display: block;
  transition: transform 0.3s ease-in-out;
}

.sidebar .widget-banner img:hover {
  transform: scale(1.05);
}

/* Toggle Icon */
.toggle {
  cursor: pointer;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.toggle svg {
  width: 20px;
  height: 20px;
  fill: #ffcc00;
  transition: transform 0.3s ease-in-out;
}

.item:hover .toggle svg {
  transform: rotate(180deg);
}

/* Accordion Menu */
.widget.widget-accordian ul.no-bullet li {
  background: #2a2a3a;
    padding: 5px 9px;
    margin-bottom: 5px;
    margin-top: 10px;
    font-size: 16px;
    font-weight: 900;
    border: 1px solid gray;
    border-radius: 6px;
    transition: all 0.3s ease-in-out;
}
.no-border {
    border: none !important;
}


.widget-accordian ul li .sub-items { 
  margin-left: 0px!important;
}

.widget-accordian ul li .sub-items a{
     padding-top: 5px;
    padding-bottom: 5px;
    font-size: 14px !important;
     text-transform: uppercase;

}
side{
  float: right;
  font-size: 12px;
  font-weight: 900;
}


.no-border-image {
 
    padding: 0px!important;
    margin-bottom: 5px!important;
    margin-top: 10px!important;
    font-size: 16px!important;
    font-weight: 900!important;
    border-radius: 6px!important;
    transition: all 0.3s ease-in-out!important;
    border: none !important;
}

.widget-accordian ul li .item {

    margin-bottom: 0px;
    margin-top: 0px;
   
}
.widget-accordian ul li .item a svg {
    fill: #98dcd5;
    width: 20px;
    height: 17px;
    margin-right: 10px;
}


.widget.widget-accordian .sub-items {
  display: none;
  margin-top: 10px;
}

.widget.widget-accordian .item.active .sub-items {
  display: block;
}

.widget.widget-accordian li:hover {
  background-color: #444;
}

.widget.widget-accordian li a {
  color: #fff;
  text-decoration: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.widget.widget-accordian li a:hover {
  color: #ffcc00;
}

/* Responsive Design */
@media (max-width: 1024px) {
  .sidebar {
    max-width: 100%;
  }

  .sidebar h3 {
    font-size: 18px;
    margin-bottom: 12px;
  }

  .sidebar ul.no-bullet li {
    font-size: 14px;
    padding: 8px 12px;
  }

  .sidebar .widget-banner img {
    max-width: 90%;
    margin: 0 auto;
  }
}



.sidebar.collapse {
   
}


@media (max-width: 768px) {
  .sidebar {

    margin-top: 76px;
    width: 50%;
    padding: 15px;
  }

  .sidebar ul.no-bullet li {
    font-size: 14px;
    padding: 8px 12px;
  }

  .widget.widget-accordian .sub-items {
    padding-left: 20px;
  }
}

@media (max-width: 480px) {
  .sidebar h3 {
    font-size: 16px;
  }

  .sidebar ul.no-bullet li {
    font-size: 12px;
    padding: 6px 10px;
  }

  .sidebar .widget-banner img {
    max-width: 80%;
  }

  .toggle svg {
    width: 16px;
    height: 16px;
  }
}



